Bug 741186 - Remove /var/run/pcscd.comm
Summary: Remove /var/run/pcscd.comm
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pcsc-lite
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bob Relyea
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-26 07:48 UTC by Juha Tuomala
Modified: 2012-08-07 18:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 18:15:43 UTC


Attachments (Terms of Use)

Description Juha Tuomala 2011-09-26 07:48:44 UTC
Description of problem:
System asks human to remove a daemon pid-file. It should/could remove it itself and retry the given restart command.

Version-Release number of selected component (if applicable):
pcsc-lite-1.7.2-3.fc15.x86_64

How reproducible:
Sometimes, depends on state of the daemon.

Steps to Reproduce:
1. service pcscd restart
2. if it fails
3. rm -rf /var/run/pcscd.comm
4. service pcscd restart

now it probably succeedes.
  
Actual results:
# service pcscd start
Starting pcscd (via systemctl):  Job failed. See system logs and 'systemctl status' for details.
                                                           [FAILED]

/var/log/messages:
systemd[1]: pcscd.service: control process exited, code=exited status=1
systemd[1]: Unit pcscd.service entered failed state.
Spcscd: utils.c:53:GetDaemonPid() Can't open /var/run/pcscd.pid: No such file or directory
pcscd: pcscdaemon.c:364:main() file /var/run/pcscd.comm already exists.
pcscd: pcscdaemon.c:366:main() Maybe another pcscd is running?
pcscd: pcscdaemon.c:368:main() I can't read process pid from /var/run/pcscd.pid
pcscd: pcscdaemon.c:369:main() Remove /var/run/pcscd.comm
pcscd: pcscdaemon.c:371:main() if pcscd is not running to clear this message.


Expected results:
# service pcscd start
Starting pcscd (via systemctl):                            [  OK  ]

Additional info:

Comment 1 Juha Tuomala 2012-01-10 11:38:02 UTC
% pkcs15-tool -c
No smart card readers found.


[root@localhost]# service pcscd status
pcscd.service - LSB: Daemon to access a smart card using PC/SC
          Loaded: loaded (/etc/rc.d/init.d/pcscd)
          Active: active (exited) since Fri, 06 Jan 2012 13:29:22 +0200; 4 days ago
         Process: 5112 ExecStop=/etc/rc.d/init.d/pcscd stop (code=exited, status=0/SUCCESS)
         Process: 5567 ExecStart=/etc/rc.d/init.d/pcscd start (code=exited, status=0/SUCCESS)
          CGroup: name=systemd:/system/pcscd.service
[root@wasa tmp]# service pcscd restart
Restarting pcscd (via systemctl):  Job failed. See system logs and 'systemctl status' for details.
                                                           [FAILED]

[root@localhost]# rm /var/run/pcscd.comm 
rm: remove socket `/var/run/pcscd.comm'? y
[root@localhost]# service pcscd restart
Restarting pcscd (via systemctl):                          [  OK  ]
[root@localhost]# 

% pkcs15-tool -c
Using reader with a card: OmniKey CardMan 1021 01 00
X.509 Certificate [Isikutuvastus]
        Object Flags   : [0x0]
        Authority      : no
        Path           : 3f00eeeeaace
        ID             : 01
.
.
.

Comment 2 Fedora End Of Life 2012-08-07 18:15:45 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.